=== debian/changelog ===
cuse4bsd (0~svn2434-2) unstable; urgency=low

  * Team upload.
  * Switch cuse4bsd-dkms to kfreebsd-any.
  * Fix FTBFS by overriding dh_auto_test target.

 -- Robert Millan <rmh@debian.org>  Mon, 07 Oct 2013 23:15:42 +0200

cuse4bsd (0~svn2434-1) unstable; urgency=low

  * Initial release. (Closes: #688141)

 -- Christoph Egger <christoph@debian.org>  Wed, 19 Sep 2012 10:48:29 -0700
